function r = blockmeshgrading_a(length,n,width_a)

rmax = 10^5;
reltol = 10^-5;

if n * width_a < length 
    cMax = power(rmax, 1 / (n - 1));
    cMin = power(1 + reltol, 1 / (n - 1));
else
    cMax = power(1 - relTol, 1 / (n - 1));
    cMin = power(1 / rmax, 1 / (n - 1));
end

f = @(c) (1 - power(c, n)) / (1 - c) - length / width_a;
c = bisection(f,cMin,cMax);
r = power(c,n-1);
end