function r = blockmeshgrading_b(length,n,width_b)

rmax = 10^5;
reltol = 10^-5;

if n * width_b > length 
    cMax = power(rmax, 1 / (n - 1));
    cMin = power(1 + reltol, 1 / (n - 1));
else
    cMax = power(1 - reltol, 1 / (n - 1));
	cMin = power(1 / rmax, 1 / (n - 1));
end

f = @(c) (1 / power(c, n - 1)) * (1 - power(c, n)) / (1 - c) - length / width_b;
c = bisection(f,cMin,cMax);
r = power(c,n-1);
end