/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  2.2.2                                 |
|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       volVectorField;
    location    "0";
    object      U;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

dimensions      [0 1 -1 0 0 0 0];

internalField   uniform (0 0 0);

boundaryField
{
    inlet
    {
        type            pressureInletOutletVelocity;
        value           uniform (0 0 0);  
    }
    outlet
    {
        type            pressureInletOutletVelocity;
        value           uniform (0 0 0);        
    }
    moonpool_water_surface
    {
        type            pressureInletOutletParSlipVelocity;
        value           uniform (0 0 0);
    }
    bottom
    {
        type            slip;
    }
    "hull.*"
    {
        type            fixedValue;
        value           uniform (0 0 0);
    }
    "moonpool_wall.*"
    {
        type            fixedValue;
        value           uniform (0 0 0);
    }
    front
    {
        type            empty;
    }
    back
    {
        type            empty;
    }
}


// ************************************************************************* //
