
clear

% C{1,1}      Time
% C{1,2}      Force Pressure x
% C{1,3}      Force Pressure y
% C{1,4}      Force Pressure z
% C{1,5}      Force Viscous  x
% C{1,6}      Force Viscous  y
% C{1,7}      Force Viscous  z
% C{1,8}      Force Porous   x
% C{1,9}      Force Porous   y
% C{1,10}     Force Porous   z
%figure(3)
%plot(C{1,1}(a:b),C{1,8}(a:b),C{1,1}(a:b),C{1,9}(a:b),C{1,1}(a:b),C{1,10}(a:b))
%title('Pressure Forces')
%legend('x','y','z')

file ='forceHull.txt'; 
  
fileID = fopen(file);  

C = textscan(fileID,'%f	%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f','CommentStyle','#');

fclose(fileID);

b=length(C{1,1});
a=round(b*0.2); %ifrunning

%figure()
%plot(C{1,1}(a:b),C{1,2}(a:b),C{1,1}(a:b),C{1,3}(a:b),C{1,1}(a:b),C{1,4}(a:b))
%title('Hull Pressure Forces')
%legend('x','y','z')
%print('figures/Hull Pressure Forces','-dpng')
%figure()
%plot(C{1,1}(a:b),C{1,5}(a:b),C{1,1}(a:b),C{1,6}(a:b),C{1,1}(a:b),C{1,7}(a:b))
%title('Hull Viscous Forces')
%legend('x','y','z')
%print('figures/Hull Viscous Forces','-dpng')

file2 ='forceMoonpoolWalls.txt'; 
  
fileID2 = fopen(file2);  

D = textscan(fileID2,'%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f','CommentStyle','#');

b=length(D{1,1});
a=round(b*0.2); %ifrunning

fclose(fileID2);

%figure()
%plot(D{1,1}(a:b),D{1,2}(a:b),D{1,1}(a:b),D{1,3}(a:b),D{1,1}(a:b),D{1,4}(a:b))
%title('Moonpool Wall Pressure Forces')
%legend('x','y','z')
%print('figures/Moonpool Wall Pressure Forces','-dpng')

%figure()
%plot(D{1,1}(a:b),D{1,5}(a:b),D{1,1}(a:b),D{1,6}(a:b),D{1,1}(a:b),D{1,7}(a:b))
%title('Moonpool Wall Viscous Forces')
%legend('x','y','z')
%print('figures/Moonpool Wall Viscous Forces','-dpng')

figure()
fileID = fopen(file);  
C = textscan(fileID,'%f	%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f','CommentStyle','#');
fclose(fileID);
subplot(2,2,1)
plot(C{1,1}(a:b),C{1,2}(a:b),C{1,1}(a:b),C{1,3}(a:b),C{1,1}(a:b),C{1,4}(a:b))
title('Hull Pressure Forces')
legend('x','y','z')

subplot(2,2,2)
plot(C{1,1}(a:b),C{1,5}(a:b),C{1,1}(a:b),C{1,6}(a:b),C{1,1}(a:b),C{1,7}(a:b))
title('Hull Viscous Forces')
legend('x','y','z')
  
fileID2 = fopen(file2);  
D = textscan(fileID2,'%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f','CommentStyle','#');
fclose(fileID2);

subplot(2,2,3)
plot(D{1,1}(a:b),D{1,2}(a:b),D{1,1}(a:b),D{1,3}(a:b),D{1,1}(a:b),D{1,4}(a:b))
title('Moonpool Wall Pressure Forces')
legend('x','y','z')
subplot(2,2,4)
plot(D{1,1}(a:b),D{1,5}(a:b),D{1,1}(a:b),D{1,6}(a:b),D{1,1}(a:b),D{1,7}(a:b))
title('Moonpool Wall Viscous Forces')
legend('x','y','z')

print('figures/Forces','-dpng')

