

clear

file ='logs/executionTime_0'; 
  
fileID = fopen(file);  

C = textscan(fileID,'%f	%f','CommentStyle','#');

fclose(fileID);

difference = diff(C{1,1});

difference = round(difference*100000)/100000;

difference2 = zeros(length(difference)+1,1);
difference2 = [0;difference];

figure()
plot(C{1,1},difference2)
axis([min(C{1,1}) max(C{1,1}) 0 (max(difference2)*1.1)])
title('Time Step')
print('figures/TimeSteps','-dpng')

time_end = ceil(max(C{1,1}));
exc_time = zeros(time_end,1);
old = 0;
for i = 1:length(C{1,1})
    a = ceil(C{1,1}(i));
    exc_time(a) =  exc_time(a) + (C{1,2}(i)-old);
    old = C{1,2}(i);
end

figure()
plot(exc_time)
title('Execution Time')
print('figures/ExecutionTime','-dpng')